Skip to main content
GET
Retrieves a user

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
crm.objects.users.read

Path Parameters

userId
string
required

Query Parameters

idProperty
enum<string>
Available options:
EMAIL,
USER_ID

Response

successful operation

email
string
required
id
string
required
roleIds
string[]
required
superAdmin
boolean
required
firstName
string
lastName
string
primaryTeamId
string
roleId
string
secondaryTeamIds
string[]
sendWelcomeEmail
boolean
Last modified on September 9, 2026